A `group` resource represents a YouTube Analytics group, which is a custom collection of up to 500 channels, videos, playlists, or assets.  

All of the items in a group must represent the same type of resource. For example, you cannot create a group that contains 100 videos and 100 playlists.  

An Analytics group can only contain resources that you have uploaded or claimed or that are linked to a channel that you administer. As a result, channel owners can create groups of videos and playlists. Content owners can create groups of videos, playlists, channels, or assets.

## Methods

The API supports the following methods for `groups` resources:

[list](https://developers.google.com/youtube/analytics/reference/groups/list)
:   Returns a list of groups that match the API request parameters. For example, you can retrieve all groups that the authenticated user owns, or you can retrieve one or more groups by their unique IDs.
    [Try it now](https://developers.google.com/youtube/analytics/reference/groups/list#try-it).

[insert](https://developers.google.com/youtube/analytics/reference/groups/insert)
:   Creates a YouTube Analytics group. After creating a group, use the `https://developers.google.com/youtube/analytics/reference/groupItems/insert` method to add items to the group.
    [Try it now](https://developers.google.com/youtube/analytics/reference/groups/insert#try-it).

[update](https://developers.google.com/youtube/analytics/reference/groups/update)
:   Modifies the metadata for a group. Currently, the only property that can be updated is the group's title. (Use the `https://developers.google.com/youtube/analytics/reference/groupItems/insert` and `https://developers.google.com/youtube/analytics/reference/groupItems/delete` to add and remove group items.)
    [Try it now](https://developers.google.com/youtube/analytics/reference/groups/update#try-it).

[delete](https://developers.google.com/youtube/analytics/reference/groups/delete)
:   Deletes a group.
    [Try it now](https://developers.google.com/youtube/analytics/reference/groups/delete#try-it).

## Resource representation

The JSON structure below shows the format of a `groups` resource:

```
{
  "kind": "youtube#group",
  "etag": etag,
  "id": string,
  "snippet": {
    "publishedAt": datetime,
    "title": string
  },
  "contentDetails": {
    "itemCount": unsigned long,
    "itemType": string
  }
}
```

### Properties

The following table defines the properties that appear in this resource:

| Properties ||
|---|---|
| `kind` | `string` Identifies the API resource's type. The value will be `youtube#group`. |
| `etag` | `etag` The Etag of this resource. |
| `id` | `string` The ID that YouTube uses to uniquely identify the group. |
| `snippet` | `object` The `snippet` object contains basic information about the group, including its creation date and name. |
| `snippet.publishedAt` | `datetime` The date and time that the group was created. The value is specified in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) (`YYYY-MM-DDThh:mm:ss.sZ`) format. |
| `snippet.title` | `string` The group name. The value must be a non-empty string. |
| `contentDetails` | `object` The `contentDetails` object contains additional information about the group, such as the number and type of items that it contains. |
| `contentDetails.itemCount` | `unsigned long` The number of items in the group. |
| `contentDetails.itemType` | `string` The type of resources that the group contains. Valid values for this property are: - `youtube#channel` - `youtube#playlist` - `youtube#video` - `youtubePartner#asset` |